/*
 * SplashScreen
 * ============================================================================
 *
 * Shows a busy, decorated image, containing a widget displaying the resource
 * loading progress rate.
 */


class SplashScreen extends Phaser.Group {

  constructor (game) {
    super(game);

    this.classType = Phaser.Image;

    this.create(70, 40, 'splash-screen');
    this.progressBar = this.create(152, 322, 'progress-bar');
  }

}


export default SplashScreen;
